fix homie error with current esp version

master
interfisch 1 year ago
parent 1e87d26088
commit 5d47246bda
  1. 21
      platformio.ini

@ -17,13 +17,13 @@
#data_dir=data_sensoresp2
#data_dir=data_sensoresp3
#data_dir=data_sensoresp4
data_dir=data_sensoresp5
#data_dir=data_sensoresp5
#data_dir=data_sensoresp3dprinter
#Outdoor
[env:sensoresp0]
platform = espressif8266
platform = espressif8266 @ 2.5.0 #using old esp version, because of "obsolete API, use ::begin(WiFiClient, url)" error. Try again if fix available in platformio over vscode
board = d1_mini
framework = arduino
@ -72,7 +72,7 @@ lib_deps =
#Arbeitszimmer
[env:sensoresp1]
platform = espressif8266
platform = espressif8266 @ 2.5.0
board = d1_mini
framework = arduino
@ -111,7 +111,7 @@ lib_deps =
#Wohnzimmer Air Quality
[env:sensoresp2]
platform = espressif8266
platform = espressif8266 @ 2.5.0
board = d1_mini
framework = arduino
@ -140,7 +140,7 @@ lib_deps =
#Wohnzimmer
[env:sensoresp3]
platform = espressif8266
platform = espressif8266 @ 2.5.0
board = d1_mini
framework = arduino
@ -171,7 +171,7 @@ lib_deps =
#Schlafzimmer
[env:sensoresp4]
platform = espressif8266
platform = espressif8266 @ 2.5.0
board = d1_mini
framework = arduino
@ -210,7 +210,7 @@ lib_deps =
#Kueche
[env:sensoresp5]
platform = espressif8266
platform = espressif8266 @ 2.5.0
board = d1_mini
framework = arduino
@ -242,18 +242,19 @@ build_flags =
-D dataBH1750_senddelaymax=1000*60*2
lib_deps =
adafruit/DHT sensor library@1.3.10
claws/BH1750@1.1.4
ArduinoJson@6.16.1 #dependency of homie. using older version because of "ambiguous overload for operator|" error
Homie@3.0.0
ArduinoJson@6.16.1
marvinroger/Homie @ ^3.0.1
pololu/VL53L1X @ ^1.3.0
#3D Printer
[env:sensoresp3dprinter]
platform = espressif8266
platform = espressif8266 @ 2.5.0
board = d1_mini
framework = arduino

Loading…
Cancel
Save